[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.ItemVisible

Returns True if the item is at least partially visible in the scrollable list.

## Declaration

Source position: stdctrls.pp line 623

`public function TCustomListBox.ItemVisible(`
`Index: Integer`
`):Boolean;`

## Arguments

`Index` |  | Ordinal position for the item examined in the method.

## Function result

True when the specified item is at least partially visible in the control.

## Description

ItemVisible is a Boolean function used to determine if the item at the position in Index is at least partially visible in the list box control. The return value is False for the following conditions:

- Index is out of range for the values in Items.
- An item rectangle could not be retrieved from the widgetset class.
- The item rectangle is invalid for the control (where Bottom < 0 or Top > ClientHeight).

Use ItemFullyVisible to determine if the specified list box item is fully visible in the control.

## See also

TCustomListBox.ItemFullyVisible |  | Returns True if the item is fully visible in the scrollable list.